Package pygccxml :: Package declarations :: Module type_traits :: Class auto_ptr_traits

# ClassType auto_ptr_traits

source code

implements functionality, needed for convinient work with std::auto_ptr pointers

Static Methods

is_smart_pointer(type) returns True, if type represents instantiation of `boost::shared_ptr`, False otherwise | source code

value_type(type) returns reference to boost::shared_ptr value type | source code